Api referenceClients
Update Client
Update display_name, external_id, and/or webhook_url. Only provided fields are changed.
Update display_name, external_id, and/or webhook_url. Only provided fields are changed.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
id*Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/clients/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"tenant_id": "string",
"is_active": true,
"waba_id": "string",
"phone_number_id": "string",
"display_name": "string",
"external_id": "string",
"webhook_url": "string",
"webhook_registered": true,
"signup_status": "string",
"catalog_id": "string",
"meta_business_id": "string",
"success_redirect_url": "string",
"failure_redirect_url": "string",
"created_at": "2019-08-24T14:15:22Z",
"embed_signup_url": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}